Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.poi.hssf.usermodel
Enum HSSFChart.HSSFChartType

    java.lang.Object
      java.lang.Enum<HSSFChart.HSSFChartType>
          org.apache.poi.hssf.usermodel.HSSFChart.HSSFChartType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HSSFChart.HSSFChartType>

Enclosing class:
  HSSFChart

    public static enum HSSFChart.HSSFChartType

extends java.lang.Enum<HSSFChart.HSSFChartType>

Enum Constant Summary
`Area`
`Bar`
`Line`
`Pie`
`Scatter`
`Unknown`

Method Summary
`abstract short` | `getSid()`
`static HSSFChart.HSSFChartType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HSSFChart.HSSFChartType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Area

    public static final HSSFChart.HSSFChartType Area

### Bar

    public static final HSSFChart.HSSFChartType Bar

### Line

    public static final HSSFChart.HSSFChartType Line

### Pie

    public static final HSSFChart.HSSFChartType Pie

### Scatter

    public static final HSSFChart.HSSFChartType Scatter

### Unknown

    public static final HSSFChart.HSSFChartType Unknown

Method Detail

### values

    public static HSSFChart.HSSFChartType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HSSFChart.HSSFChartType c : HSSFChart.HSSFChartType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HSSFChart.HSSFChartType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getSid

    public abstract short getSid()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.